﻿/**Begin D:\PDM_UPGRADE\PDM1\EVP_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EVP_BKRSENTRY') 
 CREATE TABLE T_EVP_BKRSENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FEBOOKDATE DATETIME,
FBUSINESSPRODUCTSTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCEVOUCHERTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCEVOUCHERNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FELECTRONICRECEIPTINFO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREDITORDEBIT NVARCHAR(10) DEFAULT ' ' NOT NULL,
FTRANSACTIONAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBALANCEDIRECT NVARCHAR(10) DEFAULT ' ' NOT NULL,
FACCOUNTBALANCE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTRANSACTIONCODE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCOUNTERPARTYACCOUNT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCOUNTERPARTYNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDEPOSITORYBANK NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBOOKKEEPER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBOOKTIME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FACCOUNTJOURNAL NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOTHERINFO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FELECTRONICRECEIPTNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBUSINESSSERIALNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EVP_ELEVOUCHERTYPE_L') 
 CREATE TABLE T_EVP_ELEVOUCHERTYPE_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EVP_ORIGINSYS_L') 
 CREATE TABLE T_EVP_ORIGINSYS_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EVP_VOUCHERENTRY') 
 CREATE TABLE T_EVP_VOUCHERENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FGLACCOUNTNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDETAILACCOUNTNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FAMOUNTDC CHAR(1) DEFAULT '0' NOT NULL,
FBOOKEDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EVP_EXPORTTASK') 
 CREATE TABLE T_EVP_EXPORTTASK (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBOOKTYPEID BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FBOOKDATE DATETIME,
FVOUCHERNUM INT DEFAULT 0 NOT NULL,
FEINVSPCLNUM INT DEFAULT 0 NOT NULL,
FEINVORDNUM INT DEFAULT 0 NOT NULL,
FINVSPCLNUM INT DEFAULT 0 NOT NULL,
FINVORDNUM INT DEFAULT 0 NOT NULL,
FINVTLNUM INT DEFAULT 0 NOT NULL,
FNTRENUM INT DEFAULT 0 NOT NULL,
FEFINUM INT DEFAULT 0 NOT NULL,
FRAINUM INT DEFAULT 0 NOT NULL,
FATRNUM INT DEFAULT 0 NOT NULL,
FBKERNUM INT DEFAULT 0 NOT NULL,
FBKRSNUM INT DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT '1' NOT NULL,
FFAILREASON NVARCHAR(500) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FZIPURL NVARCHAR(200) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EVP_MULSOURCESYS') 
 CREATE TABLE T_EVP_MULSOURCESYS (
FPKID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EVP_ORIGINSYS_CONFIG') 
 CREATE TABLE T_EVP_ORIGINSYS_CONFIG (
FID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FELEVOUCHERTYPEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EVP_QUERYINTERFACE') 
 CREATE TABLE T_EVP_QUERYINTERFACE (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FMODIFYTIME DATETIME,
FVERSION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FELEVOUCHERTYPEID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPLUGINNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EVP_SYSPARAM') 
 CREATE TABLE T_EVP_SYSPARAM (
FID BIGINT DEFAULT 0 NOT NULL,
FKEY NVARCHAR(255) DEFAULT ' ' NOT NULL,
FVALUE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDESC NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EVP_BKERRECEIVER') 
 CREATE TABLE T_EVP_BKERRECEIVER (
FID BIGINT DEFAULT 0 NOT NULL,
FIDENTIFYINGCODE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTRANSACTIONAMOUNTINFIGUR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCONTRACTNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTYPEOFINVOICE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDATEOFISSUE DATETIME,
FUNIQUECODE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPAYANDREVAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FHASBEENCLAIMED CHAR(1) DEFAULT '0' NOT NULL,
FHASBEENBOOKED CHAR(1) DEFAULT '1' NOT NULL,
FHASBEENRECONCILED CHAR(1) DEFAULT '0' NOT NULL,
FHASBEENTRANSFER CHAR(1) DEFAULT '0' NOT NULL,
FFILENAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FORIGINSYSID BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FBILLID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDIRECTBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDIRECTBILLTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDIRECTBILLID BIGINT DEFAULT 0 NOT NULL,
FVOUCHERNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBOOKDATE DATETIME,
FVOUCHERID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FINTOPOOLDATE DATETIME,
FBATCHCODE NVARCHAR(128) DEFAULT ' ' NOT NULL,
FOPERATORID BIGINT DEFAULT 0 NOT NULL,
FISINTOPOOL CHAR(1) DEFAULT '0' NOT NULL,
FISHANDLE CHAR(1) DEFAULT '0' NOT NULL,
FISDELETE CHAR(1) DEFAULT '0' NOT NULL,
FISARCHIVE CHAR(1) DEFAULT '0' NOT NULL,
FFILEURL NVARCHAR(200) DEFAULT ' ' NOT NULL,
FXBRLURL NVARCHAR(200) DEFAULT ' ' NOT NULL,
FBASETEXT NVARCHAR(500),
FBASETEXT_TAG NCLOB,
FSEQNO NVARCHAR(200) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EVP_ELEVOUCHERTYPE') 
 CREATE TABLE T_EVP_ELEVOUCHERTYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FELEVCHID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
FENABLE CHAR(1) DEFAULT '0' NOT NULL,
FDISPSEQ INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EVP_EVTENTITY') 
 CREATE TABLE T_EVP_EVTENTITY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FGBNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FGBNUMBER NVARCHAR(200) DEFAULT ' ' NOT NULL,
FFIELDNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFIELDNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFIELDTYPE CHAR(1) DEFAULT '1' NOT NULL,
FDISPLAYPROP CHAR(1) DEFAULT '2' NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FISVISIBLEEVP CHAR(1) DEFAULT '0' NOT NULL,
FISVISIBLEORIGIN CHAR(1) DEFAULT '0' NOT NULL,
FGROUPNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EVP_ORIGINSYS') 
 CREATE TABLE T_EVP_ORIGINSYS (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FISFPYINVOICE CHAR(1) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
FORIGINID NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EVP_VOUCHER') 
 CREATE TABLE T_EVP_VOUCHER (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FORIGINSYSID BIGINT DEFAULT 0 NOT NULL,
FBOOKTYPEID BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FBILLID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDIRECTBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDIRECTBILLTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDIRECTBILLID BIGINT DEFAULT 0 NOT NULL,
FVDESCRIPTION NVARCHAR(200) DEFAULT ' ' NOT NULL,
FVOUCHERNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBOOKDATE DATETIME,
FVOUCHERID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FXHVOUCHERID BIGINT DEFAULT 0 NOT NULL,
FINTOPOOLDATE DATETIME,
FOPERATORID BIGINT DEFAULT 0 NOT NULL,
FBATCHCODE NVARCHAR(128) DEFAULT ' ' NOT NULL,
FISINTOPOOL CHAR(1) DEFAULT '0' NOT NULL,
FISHANDLE CHAR(1) DEFAULT '0' NOT NULL,
FISDELETE CHAR(1) DEFAULT '0' NOT NULL,
FISARCHIVE CHAR(1) DEFAULT '0' NOT NULL,
FSEQNO NVARCHAR(200) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EVP_BKRS') 
 CREATE TABLE T_EVP_BKRS (
FID BIGINT DEFAULT 0 NOT NULL,
FIDENTIFICATIONORG NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBANKBRANCHNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSETTLEMENTACCOUNT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FACCOUNTNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBANKCUSTOMERNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRECONYEAR NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRECONMONTH NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRECONDATE DATETIME,
FPRINTTIMES NVARCHAR(10) DEFAULT ' ' NOT NULL,
FPRINTDATE DATETIME,
FACCOUNTBAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRESERVEBAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFROZENBAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOVERDRAFTBAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAVAILABLEBAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFILENAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FORIGINSYSID BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FBILLID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDIRECTBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDIRECTBILLTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDIRECTBILLID BIGINT DEFAULT 0 NOT NULL,
FVOUCHERNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBOOKDATE DATETIME,
FVOUCHERID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FINTOPOOLDATE DATETIME,
FBATCHCODE NVARCHAR(128) DEFAULT ' ' NOT NULL,
FOPERATORID BIGINT DEFAULT 0 NOT NULL,
FISINTOPOOL CHAR(1) DEFAULT '0' NOT NULL,
FISHANDLE CHAR(1) DEFAULT '0' NOT NULL,
FISDELETE CHAR(1) DEFAULT '0' NOT NULL,
FISARCHIVE CHAR(1) DEFAULT '0' NOT NULL,
FFILEURL NVARCHAR(200) DEFAULT ' ' NOT NULL,
FXBRLURL NVARCHAR(200) DEFAULT ' ' NOT NULL,
FBASETEXT NVARCHAR(500),
FBASETEXT_TAG NCLOB,
FSEQNO NVARCHAR(200) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EVP_EINVSPCLRECEIVER') 
 CREATE TABLE T_EVP_EINVSPCLRECEIVER (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FORIGINSYSID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FSEQNO NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBILLID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDIRECTBILLID BIGINT DEFAULT 0 NOT NULL,
FDIRECTBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDIRECTBILLTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBOOKDATE DATETIME,
FINTOPOOLDATE DATETIME,
FOPERATORID BIGINT DEFAULT 0 NOT NULL,
FBATCHCODE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISDELETE CHAR(1) DEFAULT '0' NOT NULL,
FISINTOPOOL CHAR(1) DEFAULT '0' NOT NULL,
FISARCHIVE CHAR(1) DEFAULT '0' NOT NULL,
FISHANDLE CHAR(1) DEFAULT '0' NOT NULL,
FCOSTCOMPANY BIGINT DEFAULT 0 NOT NULL,
FXBRLURL NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFILENAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFILEURL NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBASETEXT NVARCHAR(500) DEFAULT ' ' NOT NULL,
FBASETEXT_TAG NCLOB,
FINVOICENUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNAMEOFSELLER NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTAXSOCIALCREDITCODE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTOTALAMOUNTEXCLUDINGTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXINCLUDEDAMOUNTINFIGUR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDATEOFISSUE DATETIME,
FCONTRACTNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMATCHINGSTATE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FAMORTIZATIONMETHOD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FELECTRONICNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBEGINYEAR NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENDYEAR NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBEGINPERIOD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENDPERIOD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FHASBEENPAID CHAR(1) DEFAULT '0' NOT NULL,
FISREDINVOICE CHAR(1) DEFAULT '0' NOT NULL,
FHASBEENCHECKED CHAR(1) DEFAULT '0' NOT NULL,
FHASBEENBOOKED CHAR(1) DEFAULT '0' NOT NULL,
FHASBEENCOMPLETED CHAR(1) DEFAULT '0' NOT NULL,
FHASBEENFSOS CHAR(1) DEFAULT '0' NOT NULL,
FUSAGECONFIRMATION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FUSAGECONFIRMATIONPERIOD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTRANSFERREDOUTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FHASBEENCONFIRMED CHAR(1) DEFAULT '0' NOT NULL,
FISTRANSFERREDOUT CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EVP_INVSPCLRECEIVER') 
 CREATE TABLE T_EVP_INVSPCLRECEIVER (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FORIGINSYSID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FSEQNO NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBILLID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDIRECTBILLID BIGINT DEFAULT 0 NOT NULL,
FDIRECTBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDIRECTBILLTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBOOKDATE DATETIME,
FINTOPOOLDATE DATETIME,
FOPERATORID BIGINT DEFAULT 0 NOT NULL,
FBATCHCODE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISDELETE CHAR(1) DEFAULT '0' NOT NULL,
FISINTOPOOL CHAR(1) DEFAULT '0' NOT NULL,
FISARCHIVE CHAR(1) DEFAULT '0' NOT NULL,
FISHANDLE CHAR(1) DEFAULT '0' NOT NULL,
FCOSTCOMPANY BIGINT DEFAULT 0 NOT NULL,
FXBRLURL NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFILENAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFILEURL NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBASETEXT NVARCHAR(500) DEFAULT ' ' NOT NULL,
FBASETEXT_TAG NCLOB,
FINVOICENUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNAMEOFSELLER NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTAXSOCIALCREDITCODE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTOTALAMOUNTEXCLUDINGTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXINCLUDEDAMOUNTINFIGUR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDATEOFISSUE DATETIME,
FCONTRACTNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMATCHINGSTATE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FAMORTIZATIONMETHOD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FELECTRONICNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBEGINYEAR NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENDYEAR NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBEGINPERIOD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENDPERIOD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FHASBEENPAID CHAR(1) DEFAULT '0' NOT NULL,
FISREDINVOICE CHAR(1) DEFAULT '0' NOT NULL,
FHASBEENCHECKED CHAR(1) DEFAULT '0' NOT NULL,
FHASBEENBOOKED CHAR(1) DEFAULT '0' NOT NULL,
FHASBEENCOMPLETED CHAR(1) DEFAULT '0' NOT NULL,
FHASBEENFSOS CHAR(1) DEFAULT '0' NOT NULL,
FUSAGECONFIRMATION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FUSAGECONFIRMATIONPERIOD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTRANSFERREDOUTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FHASBEENCONFIRMED CHAR(1) DEFAULT '0' NOT NULL,
FISTRANSFERREDOUT CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EVP_INVTLFRECEIVER') 
 CREATE TABLE T_EVP_INVTLFRECEIVER (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FORIGINSYSID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FSEQNO NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBILLID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDIRECTBILLID BIGINT DEFAULT 0 NOT NULL,
FDIRECTBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDIRECTBILLTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBOOKDATE DATETIME,
FINTOPOOLDATE DATETIME,
FOPERATORID BIGINT DEFAULT 0 NOT NULL,
FBATCHCODE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISDELETE CHAR(1) DEFAULT '0' NOT NULL,
FISINTOPOOL CHAR(1) DEFAULT '0' NOT NULL,
FISARCHIVE CHAR(1) DEFAULT '0' NOT NULL,
FISHANDLE CHAR(1) DEFAULT '0' NOT NULL,
FCOSTCOMPANY BIGINT DEFAULT 0 NOT NULL,
FXBRLURL NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFILENAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFILEURL NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBASETEXT NVARCHAR(500) DEFAULT ' ' NOT NULL,
FBASETEXT_TAG NCLOB,
FINVOICENUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNAMEOFSELLER NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTAXSOCIALCREDITCODE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTOTALAMOUNTEXCLUDINGTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXINCLUDEDAMOUNTINFIGUR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDATEOFISSUE DATETIME,
FELECTRONICNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBEGINYEAR NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENDYEAR NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBEGINPERIOD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENDPERIOD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FHASBEENPAID CHAR(1) DEFAULT '0' NOT NULL,
FISREDINVOICE CHAR(1) DEFAULT '0' NOT NULL,
FHASBEENCHECKED CHAR(1) DEFAULT '0' NOT NULL,
FHASBEENBOOKED CHAR(1) DEFAULT '0' NOT NULL,
FHASBEENCOMPLETED CHAR(1) DEFAULT '0' NOT NULL,
FUSAGECONFIRMATION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FUSAGECONFIRMATIONPERIOD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTRANSFERREDOUTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FHASBEENCONFIRMED CHAR(1) DEFAULT '0' NOT NULL,
FISTRANSFERREDOUT CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EVP_EFI') 
 CREATE TABLE T_EVP_EFI (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FORIGINSYSID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FSEQNO NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBILLID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDIRECTBILLID BIGINT DEFAULT 0 NOT NULL,
FDIRECTBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDIRECTBILLTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBOOKDATE DATETIME,
FINTOPOOLDATE DATETIME,
FOPERATORID BIGINT DEFAULT 0 NOT NULL,
FBATCHCODE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISDELETE CHAR(1) DEFAULT '0' NOT NULL,
FISINTOPOOL CHAR(1) DEFAULT '0' NOT NULL,
FISARCHIVE CHAR(1) DEFAULT '0' NOT NULL,
FISHANDLE CHAR(1) DEFAULT '0' NOT NULL,
FCOSTCOMPANY BIGINT DEFAULT 0 NOT NULL,
FXBRLURL NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFILENAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFILEURL NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBASETEXT NVARCHAR(500) DEFAULT ' ' NOT NULL,
FBASETEXT_TAG NCLOB,
FINVOICENUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FEINVOICEID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLDATE DATETIME,
FPAIDAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISREDINVOICE CHAR(1) DEFAULT '0' NOT NULL,
FHASBEENCHECKED CHAR(1) DEFAULT '0' NOT NULL,
FHASBEENBOOKED CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EVP_NTREVGPMRECEIVER') 
 CREATE TABLE T_EVP_NTREVGPMRECEIVER (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FORIGINSYSID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FSEQNO NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBILLID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDIRECTBILLID BIGINT DEFAULT 0 NOT NULL,
FDIRECTBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDIRECTBILLTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBOOKDATE DATETIME,
FINTOPOOLDATE DATETIME,
FOPERATORID BIGINT DEFAULT 0 NOT NULL,
FBATCHCODE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISDELETE CHAR(1) DEFAULT '0' NOT NULL,
FISINTOPOOL CHAR(1) DEFAULT '0' NOT NULL,
FISARCHIVE CHAR(1) DEFAULT '0' NOT NULL,
FISHANDLE CHAR(1) DEFAULT '0' NOT NULL,
FCOSTCOMPANY BIGINT DEFAULT 0 NOT NULL,
FXBRLURL NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFILENAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFILEURL NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBASETEXT NVARCHAR(500) DEFAULT ' ' NOT NULL,
FBASETEXT_TAG NCLOB,
FINVOICENUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FEINVOICEID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLDATE DATETIME,
FPAIDAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISREDINVOICE CHAR(1) DEFAULT '0' NOT NULL,
FHASBEENCHECKED CHAR(1) DEFAULT '0' NOT NULL,
FHASBEENBOOKED CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EVP_ATRRECEIVER') 
 CREATE TABLE T_EVP_ATRRECEIVER (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FORIGINSYSID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FSEQNO NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBILLID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDIRECTBILLID BIGINT DEFAULT 0 NOT NULL,
FDIRECTBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDIRECTBILLTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBOOKDATE DATETIME,
FINTOPOOLDATE DATETIME,
FOPERATORID BIGINT DEFAULT 0 NOT NULL,
FBATCHCODE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISDELETE CHAR(1) DEFAULT '0' NOT NULL,
FISINTOPOOL CHAR(1) DEFAULT '0' NOT NULL,
FISARCHIVE CHAR(1) DEFAULT '0' NOT NULL,
FISHANDLE CHAR(1) DEFAULT '0' NOT NULL,
FCOSTCOMPANY BIGINT DEFAULT 0 NOT NULL,
FXBRLURL NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFILENAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFILEURL NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBASETEXT NVARCHAR(500) DEFAULT ' ' NOT NULL,
FBASETEXT_TAG NCLOB,
FFARE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISSUEPARTY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISSUEDATE DATETIME,
FINVOICENUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FHASBEENCHECKED CHAR(1) DEFAULT '0' NOT NULL,
FISREDINVOICE CHAR(1) DEFAULT '0' NOT NULL,
FHASBEENBOOKED CHAR(1) DEFAULT '0' NOT NULL,
FDEDUCTIONTAXPERIOD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FHASBEENDEDUCTED CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EVP_RAIRECEIVER') 
 CREATE TABLE T_EVP_RAIRECEIVER (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FORIGINSYSID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FSEQNO NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBILLID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDIRECTBILLID BIGINT DEFAULT 0 NOT NULL,
FDIRECTBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDIRECTBILLTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBOOKDATE DATETIME,
FINTOPOOLDATE DATETIME,
FOPERATORID BIGINT DEFAULT 0 NOT NULL,
FBATCHCODE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISDELETE CHAR(1) DEFAULT '0' NOT NULL,
FISINTOPOOL CHAR(1) DEFAULT '0' NOT NULL,
FISARCHIVE CHAR(1) DEFAULT '0' NOT NULL,
FISHANDLE CHAR(1) DEFAULT '0' NOT NULL,
FCOSTCOMPANY BIGINT DEFAULT 0 NOT NULL,
FXBRLURL NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFILENAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFILEURL NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBASETEXT NVARCHAR(500) DEFAULT ' ' NOT NULL,
FBASETEXT_TAG NCLOB,
FINVOICENUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDATEOFISSUE DATETIME,
FTOTALAMOUNTEXCLUDINGTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISREDINVOICE CHAR(1) DEFAULT '0' NOT NULL,
FHASBEENBOOKED CHAR(1) DEFAULT '0' NOT NULL,
FDEDUCTIONTAXPERIOD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FHASBEENDEDUCTED CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EVP_INVORDRECEIVER') 
 CREATE TABLE T_EVP_INVORDRECEIVER (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FORIGINSYSID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FSEQNO NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBILLID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDIRECTBILLID BIGINT DEFAULT 0 NOT NULL,
FDIRECTBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDIRECTBILLTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBOOKDATE DATETIME,
FINTOPOOLDATE DATETIME,
FOPERATORID BIGINT DEFAULT 0 NOT NULL,
FBATCHCODE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISDELETE CHAR(1) DEFAULT '0' NOT NULL,
FISINTOPOOL CHAR(1) DEFAULT '0' NOT NULL,
FISARCHIVE CHAR(1) DEFAULT '0' NOT NULL,
FISHANDLE CHAR(1) DEFAULT '0' NOT NULL,
FCOSTCOMPANY BIGINT DEFAULT 0 NOT NULL,
FXBRLURL NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFILEURL NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFILENAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBASETEXT NVARCHAR(500) DEFAULT ' ' NOT NULL,
FBASETEXT_TAG NCLOB,
FINVOICENUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNAMEOFSELLER NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTAXSOCIALCREDITCODE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTOTALAMOUNTEXCLUDINGTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXINCLUDEDAMOUNTINFIGUR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDATEOFISSUE DATETIME,
FCONTRACTNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMATCHINGSTATE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FAMORTIZATIONMETHOD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FELECTRONICNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBEGINYEAR NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENDYEAR NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBEGINPERIOD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENDPERIOD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FHASBEENPAID CHAR(1) DEFAULT '0' NOT NULL,
FISREDINVOICE CHAR(1) DEFAULT '0' NOT NULL,
FHASBEENCHECKED CHAR(1) DEFAULT '0' NOT NULL,
FHASBEENBOOKED CHAR(1) DEFAULT '0' NOT NULL,
FHASBEENCOMPLETED CHAR(1) DEFAULT '0' NOT NULL,
FHASBEENFSOS CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EVP_EINVORDRECEIVER') 
 CREATE TABLE T_EVP_EINVORDRECEIVER (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FORIGINSYSID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FSEQNO NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBILLID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDIRECTBILLID BIGINT DEFAULT 0 NOT NULL,
FDIRECTBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDIRECTBILLTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBOOKDATE DATETIME,
FINTOPOOLDATE DATETIME,
FOPERATORID BIGINT DEFAULT 0 NOT NULL,
FBATCHCODE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISDELETE CHAR(1) DEFAULT '0' NOT NULL,
FISINTOPOOL CHAR(1) DEFAULT '0' NOT NULL,
FISARCHIVE CHAR(1) DEFAULT '0' NOT NULL,
FISHANDLE CHAR(1) DEFAULT '0' NOT NULL,
FCOSTCOMPANY BIGINT DEFAULT 0 NOT NULL,
FXBRLURL NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFILENAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFILEURL NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBASETEXT NVARCHAR(500) DEFAULT ' ' NOT NULL,
FBASETEXT_TAG NCLOB,
FINVOICENUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNAMEOFSELLER NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTAXSOCIALCREDITCODE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTOTALAMOUNTEXCLUDINGTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXINCLUDEDAMOUNTINFIGUR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDATEOFISSUE DATETIME,
FCONTRACTNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMATCHINGSTATE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FAMORTIZATIONMETHOD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FELECTRONICNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBEGINYEAR NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENDYEAR NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBEGINPERIOD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENDPERIOD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FHASBEENPAID CHAR(1) DEFAULT '0' NOT NULL,
FISREDINVOICE CHAR(1) DEFAULT '0' NOT NULL,
FHASBEENCHECKED CHAR(1) DEFAULT '0' NOT NULL,
FHASBEENBOOKED CHAR(1) DEFAULT '0' NOT NULL,
FHASBEENCOMPLETED CHAR(1) DEFAULT '0' NOT NULL,
FHASBEENFSOS CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EVP_DAPTRACKER')
CREATE TABLE T_EVP_DAPTRACKER (
    FID BIGINT DEFAULT 0 NOT NULL,
    FBILLTYPE NVARCHAR(255) DEFAULT ' ' NOT NULL,
    FBILLID BIGINT DEFAULT 0 NOT NULL,
    FVOUCHERID NVARCHAR(255) DEFAULT ' ' NOT NULL
);


/** 2024年2月29日16:44:27 调度计划建表**/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EVP_SCHEDULEORGS') 
 CREATE TABLE T_EVP_SCHEDULEORGS (
FPKID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EVP_SCHEDULE') 
 CREATE TABLE T_EVP_SCHEDULE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FPLANID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPLANDESC NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FEXECUTORID BIGINT DEFAULT 0 NOT NULL,
FNOTICORID BIGINT DEFAULT 0 NOT NULL,
FNOTIFICATIONCONDITIONS NVARCHAR(200) DEFAULT ' ' NOT NULL,
FNOTIFICATIONTYPES NVARCHAR(200) DEFAULT ' ' NOT NULL,
FENDTIME DATETIME,
FRANGE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPERIODTYPEID BIGINT DEFAULT 0 NOT NULL,
FBOOKTYPEID BIGINT DEFAULT 0 NOT NULL,
FMONTHRANGE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPERIODRANGE NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EVP_SCHEDULE_L') 
 CREATE TABLE T_EVP_SCHEDULE_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);




/**End D:\PDM_UPGRADE\PDM1\EVP_table.sql **/
